xine-lib: xine-lib-1.2.12/src/video_dec/libvdpau/bits_reader.h File Reference

xine-lib 1.2.12

Data Structures | Functions
bits_reader.h File Reference
`#include <sys/types.h>`

Go to the source code of this file.

## Data Structures
struct | bits_reader_t

## Functions
static void | bits_reader_set (bits_reader_t *br, const uint8_t *buf, int len)
static void | skip_bits (bits_reader_t *br, int nbits)
static uint32_t | get_bits (bits_reader_t *br, int nbits)
static uint32_t | read_bits (bits_reader_t *br, int nbits)

## Function Documentation

## ◆ bits_reader_set()

static void bits_reader_set | ( | bits_reader_t * | br,
|  | const uint8_t * | buf,
|  | int | len
| ) |  |
| static

References bits_reader_t::buffer, bits_reader_t::length, bits_reader_t::offbits, bits_reader_t::oflow, and bits_reader_t::start.

Referenced by entry_point(), gop_header(), picture_coding_extension(), picture_header(), picture_header_advanced(), quant_matrix_extension(), sequence_extension(), sequence_header(), sequence_header_advanced(), video_object_layer(), video_object_plane(), and visual_object().

## ◆ get_bits()

static uint32_t get_bits | ( | bits_reader_t * | br,
|  | int | nbits
| ) |  |
| static

References bits_reader_t::buffer, bits_reader_t::length, bits_reader_t::offbits, bits_reader_t::oflow, and bits_reader_t::start.

Referenced by read_bits().

## ◆ read_bits()

static uint32_t read_bits | ( | bits_reader_t * | br,
|  | int | nbits
| ) |  |
| static

References bits_reader_t::buffer, get_bits(), and bits_reader_t::offbits.

Referenced by entry_point(), gop_header(), picture_coding_extension(), picture_header(), picture_header_advanced(), quant_matrix_extension(), sequence_extension(), sequence_header(), sequence_header_advanced(), video_object_layer(), video_object_plane(), and visual_object().

## ◆ skip_bits()

static void skip_bits | ( | bits_reader_t * | br,
|  | int | nbits
| ) |  |
| static

References bits_reader_t::buffer, bits_reader_t::length, bits_reader_t::offbits, bits_reader_t::oflow, and bits_reader_t::start.

Referenced by entry_point(), gop_header(), picture_coding_extension(), picture_header(), picture_header_advanced(), quant_matrix_extension(), sequence_extension(), sequence_header(), sequence_header_advanced(), video_object_layer(), video_object_plane(), and visual_object().